@base <https://purl.org/coscine/ap/sfb1394/AtomisticSamplePreparation/> .

@prefix dash: <http://datashapes.org/dash#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix csmd: <http://www.purl.org/net/CSMD/4.0#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix sfb1394: <http://purl.org/coscine/terms/sfb1394#> .
@prefix coscineSfb1394AtomisticSamplePreparation: <https://purl.org/coscine/ap/sfb1394/AtomisticSamplePreparation#> .

 # AtomisticSamplePreparation 
<https://purl.org/coscine/ap/sfb1394/AtomisticSamplePreparation/>
  dcterms:license <http://spdx.org/licenses/MIT> ;
  dcterms:publisher <https://itc.rwth-aachen.de/> ;
  dcterms:rights "Copyright © 2020 IT Center, RWTH Aachen University" ;
  dcterms:title "SFB1394 AtomisticSamplePreparation"@en ;

  a sh:NodeShape ;
  sh:targetClass <https://purl.org/coscine/ap/sfb1394/AtomisticSamplePreparation/> ;
  sh:closed true ;

  sh:property [
    sh:path rdf:type ;
  ] ;

  sh:property coscineSfb1394AtomisticSamplePreparation:ID ;
  sh:property coscineSfb1394AtomisticSamplePreparation:aliasID ;
  sh:property coscineSfb1394AtomisticSamplePreparation:user ;
  sh:property coscineSfb1394AtomisticSamplePreparation:date ;
  sh:property coscineSfb1394AtomisticSamplePreparation:affiliation ;
  sh:property coscineSfb1394AtomisticSamplePreparation:dois ;
  sh:property coscineSfb1394AtomisticSamplePreparation:comments ;
  sh:property coscineSfb1394AtomisticSamplePreparation:softwareId ;
  sh:property coscineSfb1394AtomisticSamplePreparation:dataFormat ;
.

coscineSfb1394AtomisticSamplePreparation:ID 
  sh:path dcterms:identifier ;
  sh:order 0 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:name "ID"@en, "ID"@de ;
. 

coscineSfb1394AtomisticSamplePreparation:aliasID 
  sh:path sfb1394:aliasID ;
  sh:order 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "External/alias ID"@en, "External/alias ID"@de ;
. 

coscineSfb1394AtomisticSamplePreparation:user 
  sh:path dcterms:creator ;
  sh:order 2 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:defaultValue "{ME}" ;
  sh:name "User"@en, "User"@de ;
. 

coscineSfb1394AtomisticSamplePreparation:date 
  sh:path dcterms:created ;
  sh:order 3 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:defaultValue "{TODAY}" ;
  sh:name "Date"@en, "Date"@de ;
. 

coscineSfb1394AtomisticSamplePreparation:affiliation 
  sh:path sfb1394:affiliation ;
  sh:order 4 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Affiliation"@en, "Affiliation"@de ;
. 

coscineSfb1394AtomisticSamplePreparation:dois 
  sh:path dcterms:isReferencedBy ;
  sh:order 5 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "DOIs"@en, "DOIs"@de ;
. 

coscineSfb1394AtomisticSamplePreparation:comments 
  sh:path sfb1394:comments ;
  sh:order 6 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Comments"@en, "Comments"@de ;
. 

coscineSfb1394AtomisticSamplePreparation:softwareId 
  sh:path sfb1394:softwareId ;
  sh:order 7 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Software ID"@en, "Software ID"@de ;
. 

coscineSfb1394AtomisticSamplePreparation:dataFormat 
  sh:path sfb1394:dataFormat ;
  sh:order 8 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Data format"@en, "Data format"@de ;
. 
